Bug 161726 - new upstream release available
new upstream release available
Product: Fedora
Classification: Fedora
Component: proj (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn McCann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-06-26 12:47 EDT by Rudolf Kastl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-03 11:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2005-06-26 12:47:59 EDT
Description of problem:

yum install proj-devel
Setting up Install Process
Setting up repositories
development               100% |=========================| 1.1 kB    00:00
extras-development        100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package proj-devel.x86_64 0:4.4.8-6 set to be updated
--> Running transaction check
--> Processing Dependency: proj = 4.4.8-6 for package: proj-devel
--> Finished Dependency Resolution
Error: Missing Dependency: proj = 4.4.8-6 is needed by package proj-devel

Version-Release number of selected component (if applicable):


Also theres a new upstream release available namly 4.4.9. would be nice to have
it updated so i dont have to replace it in newrpms.
Comment 2 Rudolf Kastl 2005-07-01 16:10:33 EDT
interesting. maybe some mirrors synced it halfway. was the same problem on
various mirrors though when i reported.

can we still upgrade it to 4.4.9 please. i have 4.4.9 in the newrpms.susnite.dk
fc3 repo for a while and want to build vs extras and livna with fc4
Comment 3 Michael Schwendt 2005-07-01 16:25:09 EDT
In Extras, proj is without maintainer. There has been some volunteer activity on
fedora-extras-list, but no final word on who likes to take the package. You
could if you signed up at https://admin.fedora.redhat.com/accounts/
Comment 4 Shawn McCann 2005-07-07 00:28:43 EDT
See updates to bug 150013. I've created a patch for the issue from 150013 and
would like to submit the patch and the current version of the source (4.4.9) to
extras (as soon as I can get my CVS access working).
Comment 5 Shawn McCann 2005-07-07 01:14:22 EDT
CVS access is now working. I've uploaded the new src.rpm file to the devel
branch. If the solution is acceptable, I'll upload it to the FC-4 branch as
well. Only problem I can see is that the change log in the spec file didn't
update - does this have to be done manually?
Comment 6 Rudolf Kastl 2005-07-07 04:10:18 EDT
actually i have signed up but i do not care if someone else is going to maintain
this package properly. gotta fax in the legal agreement.
Comment 7 Michael Schwendt 2005-07-07 05:22:30 EDT
> Only problem I can see is that the change log in the spec file didn't
> update - does this have to be done manually?

Yes. In there, you document any interesting things you changed in the spec or in
the overall packaging.

> +# Patch for Bug 150013
> +cp %{PATCH2} ./
> +patch src/pj_gridinfo.c pj_gridinfo.patch
> +

You could change this to use the %patch2 macro instead.

> -Version: 4.4.8
> -Release: 6
> +Version: 4.4.9
> +Release: 0

Please start at release 1.

>  %clean
> -rm -rf $RPM_BUILD_ROOT
> +#rm -rf $RPM_BUILD_ROOT

Not sure why you did that. The rm -rf of buildroot must be in there.

> If the solution is acceptable, I'll upload it to the FC-4 branch as well.

In that case, you may need to make it "Release: 1%{?dist}", especially since
there is no release number lower than 0.
Comment 8 Michael Schwendt 2005-07-07 05:32:01 EDT
Re: comment 6, well, signing up is a good thing anyway, since occasionally a lot
of help is needed with some packages. And for some packages it would be
beneficial if they were maintained by more than one person.
Comment 9 Shawn McCann 2005-07-08 01:34:55 EDT
Files have been patched as suggested in the review comments and proj-4.4.9-1 has
been checked into CVS (devel branch).

I'd agree that more maintainers are a good thing. I've been working on a set of
rpm's to enable Quantum GIS and GRASS to be added to extras (eg libgeotiff,
geos, gdal, etc) so it would be useful to have a group that is familiar with
these packages.
Comment 10 Michael Schwendt 2005-07-08 06:12:52 EDT
Do you want "shapelib", too?
Comment 11 Shawn McCann 2005-07-08 10:34:31 EDT
Sure, I can maintain shapelib. They're all related packages.

Let me know if these changes should be checked into the FC-4 branch as well (I'm
assuming they should).
Comment 12 Michael Schwendt 2005-07-08 11:53:34 EDT
Sounds reasonable.
Comment 13 Rudolf Kastl 2005-07-10 09:18:04 EDT
@ Comment #9 i am fine with that. you can take a look at the packages for fc4
and 3 on newrpms.sunsite.dk as a base probably... i had a nice gdal build for
core 3 and for core 4 basically only ogdi.sf.net is troubling me. fixes
appreciated ;)

the rest of it should cleanly build up then.

note that one fix that has to be done is to add the properly requires to the
gdal-devel split rpm ;)
Comment 14 Michael Schwendt 2005-07-10 11:00:15 EDT
Rudolf, did you use the GDAL-GRASS wrapper library in your packages? One of the
reasons why GDAL and GRASS didn't move forward at fedora.us was the circular
dependency between GDAL and GRASS. The Debian GIS folks ran into it too, and
upstream fixed it with a release of a wrapper library. Parts of this was
documented in old bugzilla.fedora.us
Comment 15 Shawn McCann 2005-07-11 23:52:36 EDT
Tried checking the updates into the FC-4 branch but ran into the following error
- tag conflict. 

Not sure how to fix this - something to do with the %{?dist} directive ?


cvs commit...
For more information on using the Fedora CVS repositories, please visit
Enter passphrase for key '/home/smccann/.ssh/id_dsa':

Commit Complete
For more information on using the Fedora CVS repositories, please visit
Enter passphrase for key '/home/smccann/.ssh/id_dsa':
ERROR: The tag proj-4_4_9-1 is already applied on a different branch
ERROR: You can not forcibly move tags between branches
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
Comment 16 Michael Schwendt 2005-07-12 01:24:56 EDT
Yes, cvs tags are shared between branch directories.

> proj-4_4_9-1:devel:smccann:1120800255

This tag is used already, so for the FC-4 branch, you cannot use it.

The tags are created from the package's name-version-release values. The
version-release for FC-4 could not be equal to version-release for devel anyway
as it would need to be seen as "lower than" (= "older than").  Appending
%{?dist} to the release field is one way how to solve this. Then FC-4 would
become proj-4.4.9-1.fc4 (tag => proj-4_4_9-1_fc4). But it would be "higher than"
your current devel release, and hence you would add %{?dist} also in the devel
branch and re-tag the files in devel with "make tag".

The only alternative to dist tags is making sure that packages in devel branch
always have highest version-release compared with older distribution branches.
That's not trivial if you allow for distribution upgrades from up-to-date
installations [since Fedora Extras needs a separate yum update during first boot].
Comment 17 Shawn McCann 2005-07-13 01:08:40 EDT
OK. Both spec files already had %{?dist} in the release and so I didn't update
them again. Ran "make tag" in devel and then in FC-4 with no problems. 

I assume these will now be built in the next devel and fc4 build runs and the
fc4 version should then show up in the repository and then this bug report can
be closed.

Comment 18 Michael Schwendt 2005-07-13 06:28:53 EDT

Packages within CVS won't be built automatically. Explicit build requests are
required. Though, note that since last weekend, the build system is disabled
while the new buildsys code is being installed and tested. Expect news to be
posted to maintainers' list and extras' list.
Comment 19 Shawn McCann 2005-08-03 11:56:51 EDT
The new version of proj (4.4.9-1) has now been built for devel and FC4 and shows
up in the FC4 repository so I am closing this issue

Note You need to log in before you can comment on or make changes to this bug.